#ifndef FTPCLEANER_H
#define FTPCLEANER_H

#include <QObject>
#include <QFtp>

class SortedUrlInfo : public QUrlInfo
{
    public:
    SortedUrlInfo(const QUrlInfo& urlInfo) : QUrlInfo(urlInfo){}
    bool operator <(const SortedUrlInfo& other) const{ return this->lastModified() < other.lastModified();}
};

class FtpCleaner : public QObject
{
    Q_OBJECT
public:
    FtpCleaner(QObject* parent,QString host,int port,QString folder,QString user,QString password,int nbFiles2Keep);
    virtual ~FtpCleaner() { ftp=NULL; }

    void startCleanup();

private:
    QFtp* ftp;
    QString host;
    int port;
    QString folder;
    QString user;
    QString passwd;
    QList<SortedUrlInfo> fileList;
    int nbFiles2Keep;
    bool encounteredError;

private slots:
    void ftpCommandFinished(int commandId, bool error);
    void addToFileList(const QUrlInfo& info);
};

#endif // FTPCLEANER_H
