#include <QtCore/QCoreApplication>
#include <QDebug>
#include <QStringList>
#include <QFile>
#include "ftpcleaner.h"

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    //check for correct usage
    if ( a.arguments().length() <= 6 )
    {
        qDebug() << "usage: "<< a.arguments().at(0) << " server port user pwd folder nbFiles2Keep";
        return -1;
    }

    //set the input parameters
    QString server(a.arguments().at(1));
    QString port(a.arguments().at(2));
    QString user(a.arguments().at(3));
    QString password(a.arguments().at(4));
    QString folder(a.arguments().at(5));
    QString nbFiles(a.arguments().at(6));

    //initiate instance to do some usefull stuff
    FtpCleaner cleaner(&a,server,port.toInt(),folder,user,password,nbFiles.toInt());
    cleaner.startCleanup();

    //start eventloop
    int retVal = a.exec();
    qDebug() << "quiting...DONE with errocode: " << retVal;
    return retVal;
}
